aboutsummaryrefslogtreecommitdiff
path: root/contrib/ldns
diff options
context:
space:
mode:
authorDag-Erling Smørgrav <des@FreeBSD.org>2018-10-10 22:29:06 +0000
committerDag-Erling Smørgrav <des@FreeBSD.org>2018-10-10 22:29:06 +0000
commitb319ead8be0b6d52238452863e61411fb0d00d0d (patch)
tree45f74b919f23393bc35efbfed36ec715fef53ef6 /contrib/ldns
parentdbffe0f105d4b87bd45591f6a718eb5dfdf91826 (diff)
Notes
Diffstat (limited to 'contrib/ldns')
-rwxr-xr-xcontrib/ldns/freebsd-configure.sh21
1 files changed, 16 insertions, 5 deletions
diff --git a/contrib/ldns/freebsd-configure.sh b/contrib/ldns/freebsd-configure.sh
index 588995448f37..c392967e7bb6 100755
--- a/contrib/ldns/freebsd-configure.sh
+++ b/contrib/ldns/freebsd-configure.sh
@@ -5,15 +5,26 @@
set -e
+error() {
+ echo "$@" >&2
+ exit 1
+}
+
ldns=$(dirname $(realpath $0))
cd $ldns
-libtoolize --copy
-autoheader
-autoconf
+# Run autotools before we drop LOCALBASE out of PATH
+(cd $ldns && libtoolize --copy && autoheader && autoconf)
+(cd $ldns/drill && aclocal && autoheader && autoconf)
+
+# Ensure we use the correct toolchain and clean our environment
+export CC=$(echo ".include <bsd.lib.mk>" | make -f /dev/stdin -VCC)
+export CPP=$(echo ".include <bsd.lib.mk>" | make -f /dev/stdin -VCPP)
+unset CFLAGS CPPFLAGS LDFLAGS LD_LIBRARY_PATH LIBS
+export PATH=/bin:/sbin:/usr/bin:/usr/sbin
+
+cd $ldns
./configure --prefix= --exec-prefix=/usr --disable-dane-ta-usage
cd $ldns/drill
-autoheader
-autoconf
./configure --prefix= --exec-prefix=/usr